package com.patzn.lims.frame.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.frame.entity.LmsFrameFile;
import com.patzn.lims.frame.entity.LmsFrameInnerCheckManage;
import com.patzn.lims.frame.vo.LmsFrameInnerCheckManageVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 内审实施管理 服务类
 * </p>
 *
 * @author patzn123
 * @since 2018-01-09
 */
public interface ILmsFrameInnerCheckManageService extends IBaseService<LmsFrameInnerCheckManage> {


    Page<LmsFrameInnerCheckManage> page(Page<LmsFrameInnerCheckManage> page, LmsFrameInnerCheckManage lmsFrameInnerCheckManage);

    List<LmsFrameInnerCheckManage> list(LmsFrameInnerCheckManage lmsFrameInnerCheckManage);

    LmsFrameInnerCheckManageVO getVOById(Long id);

    LmsFrameInnerCheckManageVO getTempVO();

    Boolean edit(LmsFrameInnerCheckManage lmsFrameInnerCheckManage);

    Boolean add(LmsFrameInnerCheckManage lmsFrameInnerCheckManage);

    Boolean delete(Long[] ids);

    LmsFrameFile uploadFile(MultipartFile file, LmsFrameInnerCheckManage lmsFrameInnerCheckManage);

    void downloadFile(Long id, HttpServletResponse response);

    Boolean deleteFile(Long id);

    Boolean submit(List<Long> ids);

    boolean existByIds(Long[] ids);
}
